using BepInEx;
using UnityEngine;
using UnityEngine.SceneManagement;

namespace KK_StudioEmbiggener
{
    [BepInProcess("CharaStudio")]
    [BepInPlugin(GUID, PluginName, Version)]
    public class KK_StudioEmbiggener : BaseUnityPlugin
    {
        public const string GUID = "KK_StudioEmbiggener";
        public const string PluginName = "KK_StudioEmbiggener";
        public const string Version = "1.0";

        internal void Main()
        {
            SceneManager.sceneLoaded += SceneManager_sceneLoaded;
        }

        private void SceneManager_sceneLoaded(Scene s, LoadSceneMode lsm)
        {
            if (s.name != "Studio") return;

            SceneManager.sceneLoaded -= SceneManager_sceneLoaded;
            {
                var go1 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/05_Background");
                if (go1)
                {
                    var comp1 = go1.GetComponent<RectTransform>(); comp1.anchorMin = new Vector2(0f, 0.33f);
                    var go2 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/05_Background/Scrollbar Vertical");
                    var comp2 = go2.GetComponent<RectTransform>(); comp2.anchorMin = new Vector2(0f, 0.8f);
                    var go3 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/05_Background/Viewport");
                    var comp3 = go3.GetComponent<RectTransform>(); comp3.anchorMin = new Vector2(0f, 0f);
                    var go4 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/05_Background/Viewport");
                    var comp4 = go4.GetComponent<RectTransform>(); comp4.anchorMax = new Vector2(1f, 1f);
                    var go5 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/05_Background/Scrollbar Vertical");
                    var comp5 = go5.GetComponent<RectTransform>(); comp5.anchorMax = new Vector2(0f, 1f);
                    var go6 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/05_Background");
                    var comp6 = go6.GetComponent<UnityEngine.UI.Image>(); comp6.enabled = false;
                }
            }
            {
                var go1 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/06_Frame");
                if (go1)
                {
                    var comp1 = go1.GetComponent<RectTransform>(); comp1.anchorMin = new Vector2(0f, 0.33f);
                    var go2 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/06_Frame/Scrollbar Vertical");
                    var comp2 = go2.GetComponent<RectTransform>(); comp2.anchorMin = new Vector2(0f, 0.8f);
                    var go3 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/06_Frame/Viewport");
                    var comp3 = go3.GetComponent<RectTransform>(); comp3.anchorMin = new Vector2(0f, 0f);
                    var go4 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/06_Frame/Viewport");
                    var comp4 = go4.GetComponent<RectTransform>(); comp4.anchorMax = new Vector2(1f, 1f);
                    var go5 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/06_Frame/Scrollbar Vertical");
                    var comp5 = go5.GetComponent<RectTransform>(); comp5.anchorMax = new Vector2(0f, 1f);
                    var go6 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/06_Frame");
                    var comp6 = go6.GetComponent<UnityEngine.UI.Image>(); comp6.enabled = false;
                }
            }
            {
                var go1 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/02_Item/Scroll View Group");
                if (go1)
                {
                    var comp1 = go1.GetComponent<RectTransform>(); comp1.offsetMin = new Vector2(-5f, -1000f);
                    var go2 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/02_Item/Scroll View Group/Scrollbar Vertical");
                    var comp2 = go2.GetComponent<RectTransform>(); comp2.anchorMin = new Vector2(1f, 0.34f);
                    var go3 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/02_Item/Scroll View Group/Viewport");
                    var comp3 = go3.GetComponent<RectTransform>(); comp3.anchorMin = new Vector2(0f, 0.05f);
                    var go4 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/02_Item/Scroll View Group/Viewport");
                    var comp4 = go4.GetComponent<RectTransform>(); comp4.anchorMax = new Vector2(1f, 0.965f);
                    var go5 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/02_Item/Scroll View Group/Scrollbar Vertical");
                    var comp5 = go5.GetComponent<RectTransform>(); comp5.anchorMax = new Vector2(1f, 0.97f);
                }
            }

            {
                var go1 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/02_Item/Scroll View Category");
                if (go1)
                {
                    var comp1 = go1.GetComponent<RectTransform>(); comp1.offsetMin = new Vector2(125f, -1000f);
                    var go2 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/02_Item/Scroll View Category/Scrollbar Vertical");
                    var comp2 = go2.GetComponent<RectTransform>(); comp2.anchorMin = new Vector2(1f, 0.34f);
                    var go3 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/02_Item/Scroll View Category/Viewport");
                    var comp3 = go3.GetComponent<RectTransform>(); comp3.anchorMin = new Vector2(0f, 0.34f);
                    var go4 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/02_Item/Scroll View Category/Viewport");
                    var comp4 = go4.GetComponent<RectTransform>(); comp4.anchorMax = new Vector2(1f, 0.965f);
                    var go5 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/02_Item/Scroll View Category/Scrollbar Vertical");
                    var comp5 = go5.GetComponent<RectTransform>(); comp5.anchorMax = new Vector2(1f, 0.97f);
                }
            }

            {
                var go1 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/02_Item/Scroll View Item");
                if (go1)
                {
                    var comp1 = go1.GetComponent<RectTransform>(); comp1.offsetMin = new Vector2(255f, -1000f);
                    var go2 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/02_Item/Scroll View Item/Scrollbar Vertical");
                    var comp2 = go2.GetComponent<RectTransform>(); comp2.anchorMin = new Vector2(1f, 0.34f);
                    var go3 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/02_Item/Scroll View Item/Viewport");
                    var comp3 = go3.GetComponent<RectTransform>(); comp3.anchorMin = new Vector2(0f, 0.05f);
                    var go4 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/02_Item/Scroll View Item/Viewport");
                    var comp4 = go4.GetComponent<RectTransform>(); comp4.anchorMax = new Vector2(1f, 0.965f);
                    var go5 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/02_Item/Scroll View Item/Scrollbar Vertical");
                    var comp5 = go5.GetComponent<RectTransform>(); comp5.anchorMax = new Vector2(1f, 0.97f);
                }
            }

            {
                var go1 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/03_Map");
                if (go1)
                {
                    var comp1 = go1.GetComponent<RectTransform>(); comp1.anchorMin = new Vector2(0f, 0.33f);
                    var go2 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/03_Map/Scrollbar Vertical");
                    var comp2 = go2.GetComponent<RectTransform>(); comp2.anchorMin = new Vector2(1f, 0.34f);
                    var go3 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/03_Map/Viewport");
                    var comp3 = go3.GetComponent<RectTransform>(); comp3.anchorMin = new Vector2(0f, 0.05f);
                    var go4 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/03_Map/Viewport");
                    var comp4 = go4.GetComponent<RectTransform>(); comp4.anchorMax = new Vector2(1f, 0.97f);
                    var go5 = GameObject.Find("StudioScene/Canvas Main Menu/01_Add/03_Map/Scrollbar Vertical");
                    var comp5 = go5.GetComponent<RectTransform>(); comp5.anchorMax = new Vector2(1f, 0.97f);
                }
            }


            {
                var go1 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/00_Chara/01_State");
                if (go1)
                {
                    var comp1 = go1.GetComponent<RectTransform>(); comp1.offsetMin = new Vector2(130f, -990f);
                    var go2 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/00_Chara/01_State/Scrollbar Vertical");
                    var comp2 = go2.GetComponent<RectTransform>(); comp2.anchorMin = new Vector2(1f, 0.375f);
                    var go3 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/00_Chara/01_State/Viewport");
                    var comp3 = go3.GetComponent<RectTransform>(); comp3.anchorMin = new Vector2(0f, 0.05f);
                    var go4 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/00_Chara/01_State/Viewport");
                    var comp4 = go4.GetComponent<RectTransform>(); comp4.anchorMax = new Vector2(1f, 0.96f);
                    var go5 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/00_Chara/01_State/Scrollbar Vertical");
                    var comp5 = go5.GetComponent<RectTransform>(); comp5.pivot = new Vector2(1f, 1.14f);
                }
            }

            {
                var go1 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/03_Anime/Group Panel");
                if (go1)
                {
                    var comp1 = go1.GetComponent<RectTransform>(); comp1.offsetMin = new Vector2(0f, -440f);
                    var go2 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/03_Anime/Group Panel/Scrollbar Vertical");
                    var comp2 = go2.GetComponent<RectTransform>(); comp2.offsetMin = new Vector2(-20f, -410f);
                    var go3 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/03_Anime/Group Panel/Viewport");
                    var comp3 = go3.GetComponent<RectTransform>(); comp3.offsetMin = new Vector2(10f, -640f);
                    var go4 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/03_Anime/Group Panel/Viewport");
                    var comp4 = go4.GetComponent<RectTransform>(); comp4.pivot = new Vector2(0f, 1.005f);
                }
            }
            {
                var go1 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/03_Anime/Category Panel");
                if (go1)
                {
                    var comp1 = go1.GetComponent<RectTransform>(); comp1.offsetMin = new Vector2(130f, -990f);
                    var go2 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/03_Anime/Category Panel/Scrollbar Vertical");
                    var comp2 = go2.GetComponent<RectTransform>(); comp2.anchorMin = new Vector2(1f, 0.375f);
                    var go3 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/03_Anime/Category Panel/Viewport");
                    var comp3 = go3.GetComponent<RectTransform>(); comp3.anchorMin = new Vector2(0f, 0.375f);
                    var go4 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/03_Anime/Category Panel/Viewport");
                    var comp4 = go4.GetComponent<RectTransform>(); comp4.pivot = new Vector2(0f, 1.14f);
                    var go5 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/03_Anime/Category Panel/Scrollbar Vertical");
                    var comp5 = go5.GetComponent<RectTransform>(); comp5.pivot = new Vector2(1f, 1.14f);
                }
            }
            {
                var go1 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/03_Anime/Anime Panel");
                if (go1)
                {
                    var comp1 = go1.GetComponent<RectTransform>(); comp1.offsetMin = new Vector2(260f, -990f);
                    var go2 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/03_Anime/Anime Panel/Scrollbar Vertical");
                    var comp2 = go2.GetComponent<RectTransform>(); comp2.anchorMin = new Vector2(1f, 0.375f);
                    var go3 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/03_Anime/Anime Panel/Viewport");
                    var comp3 = go3.GetComponent<RectTransform>(); comp3.anchorMin = new Vector2(0f, 0.375f);
                    var go4 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/03_Anime/Anime Panel/Viewport");
                    var comp4 = go4.GetComponent<RectTransform>(); comp4.pivot = new Vector2(0f, 1.14f);
                    var go5 = GameObject.Find("StudioScene/Canvas Main Menu/02_Manipulate/03_Anime/Anime Panel/Scrollbar Vertical");
                    var comp5 = go5.GetComponent<RectTransform>(); comp5.pivot = new Vector2(1f, 1.14f);
                }
            }

            {
                var go1 = GameObject.Find("StudioScene/Canvas Main Menu/03_Sound/00_BGM Player/Scroll View");
                if (go1)
                {
                    var comp1 = go1.GetComponent<RectTransform>(); comp1.offsetMin = new Vector2(0f, -945f);
                    var go2 = GameObject.Find("StudioScene/Canvas Main Menu/03_Sound/00_BGM Player/Scroll View/Scrollbar Vertical");
                    var comp2 = go2.GetComponent<RectTransform>(); comp2.anchorMin = new Vector2(0f, 0.27f);
                    var go3 = GameObject.Find("StudioScene/Canvas Main Menu/03_Sound/00_BGM Player/Scroll View/Viewport");
                    var comp3 = go3.GetComponent<RectTransform>(); comp3.anchorMin = new Vector2(0f, 0.25f);
                    var go4 = GameObject.Find("StudioScene/Canvas Main Menu/03_Sound/00_BGM Player/Scroll View/Viewport");
                    var comp4 = go4.GetComponent<RectTransform>(); comp4.anchorMax = new Vector2(0f, 1f);
                    var go5 = GameObject.Find("StudioScene/Canvas Main Menu/03_Sound/00_BGM Player/Scroll View/Scrollbar Vertical");
                    var comp5 = go5.GetComponent<RectTransform>(); comp5.pivot = new Vector2(0f, 1f);
                }
            }

            {
                var go1 = GameObject.Find("StudioScene/Canvas Main Menu/03_Sound/02_Outside Player/Bottom Scroll View");
                if (go1)
                {
                    var comp1 = go1.GetComponent<RectTransform>(); comp1.offsetMin = new Vector2(0f, -945f);
                    var go2 = GameObject.Find("StudioScene/Canvas Main Menu/03_Sound/02_Outside Player/Bottom Scroll View/Scrollbar Vertical");
                    var comp2 = go2.GetComponent<RectTransform>(); comp2.anchorMin = new Vector2(0f, 0.27f);
                    var go3 = GameObject.Find("StudioScene/Canvas Main Menu/03_Sound/02_Outside Player/Bottom Scroll View/Viewport");
                    var comp3 = go3.GetComponent<RectTransform>(); comp3.anchorMin = new Vector2(0f, 0.25f);
                    var go4 = GameObject.Find("StudioScene/Canvas Main Menu/03_Sound/02_Outside Player/Bottom Scroll View/Viewport");
                    var comp4 = go4.GetComponent<RectTransform>(); comp4.anchorMax = new Vector2(0f, 1f);
                    var go5 = GameObject.Find("StudioScene/Canvas Main Menu/03_Sound/02_Outside Player/Bottom Scroll View/Scrollbar Vertical");
                    var comp5 = go5.GetComponent<RectTransform>(); comp5.pivot = new Vector2(0f, 1f);
                }
            }


            {
                var go1 = GameObject.Find("StudioScene/Canvas Main Menu/04_System/02_Option/Option");
                if (go1)
                {
                    var comp1 = go1.GetComponent<RectTransform>(); comp1.offsetMin = new Vector2(0f, -915f);
                    var go2 = GameObject.Find("StudioScene/Canvas Main Menu/04_System/02_Option/Option/Scrollbar Vertical");
                    var comp2 = go2.GetComponent<RectTransform>(); comp2.anchorMin = new Vector2(1f, 0.35f);
                    var go3 = GameObject.Find("StudioScene/Canvas Main Menu/04_System/02_Option/Option/Viewport");
                    var comp3 = go3.GetComponent<RectTransform>(); comp3.anchorMin = new Vector2(0f, 0f);
                    var go4 = GameObject.Find("StudioScene/Canvas Main Menu/04_System/02_Option/Option/Viewport");
                    var comp4 = go4.GetComponent<RectTransform>(); comp4.anchorMax = new Vector2(1f, 0.97f);
                    var go5 = GameObject.Find("StudioScene/Canvas Main Menu/04_System/02_Option/Option/Scrollbar Vertical");
                    var comp5 = go5.GetComponent<RectTransform>(); comp5.pivot = new Vector2(1f, 1.11f);
                }
            }


            {
                var go1 = GameObject.Find("StudioScene/Canvas Main Menu/04_System/01_Screen Effect/Screen Effect");
                if (go1)
                {
                    var comp1 = go1.GetComponent<RectTransform>(); comp1.offsetMin = new Vector2(0f, -980f);
                    var go2 = GameObject.Find("StudioScene/Canvas Main Menu/04_System/01_Screen Effect/Screen Effect/Scrollbar Vertical");
                    var comp2 = go2.GetComponent<RectTransform>(); comp2.anchorMin = new Vector2(1f, 0.35f);
                    var go3 = GameObject.Find("StudioScene/Canvas Main Menu/04_System/01_Screen Effect/Screen Effect/Viewport");
                    var comp3 = go3.GetComponent<RectTransform>(); comp3.anchorMin = new Vector2(0f, 0f);
                    var go4 = GameObject.Find("StudioScene/Canvas Main Menu/04_System/01_Screen Effect/Screen Effect/Viewport");
                    var comp4 = go4.GetComponent<RectTransform>(); comp4.anchorMax = new Vector2(1f, 0.96f);
                    var go5 = GameObject.Find("StudioScene/Canvas Main Menu/04_System/01_Screen Effect/Screen Effect/Scrollbar Vertical");
                    var comp5 = go5.GetComponent<RectTransform>(); comp5.pivot = new Vector2(1f, 1.12f);
                }
            }
        }
    }
}